package com.example.demo.videos.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.example.demo.videos.model.VideoEntity;

import java.util.List;

public interface VideoRepository
        extends CrudRepository<VideoEntity, Long>, PagingAndSortingRepository<VideoEntity, Long> {
    List<VideoEntity> findByUserId(Long userId);

    Page<VideoEntity> findByUserId(Long userId, Pageable pageable);
}
